Update a Page Assignment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • user_id number Required

    id of the user

application/json

Body

  • can_collect boolean
  • can_view boolean

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • user_id number Required

      the updated user id

PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/assignments/{user_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"can_collect":true,"can_view":true}'
Request examples
{
  "can_collect": true,
  "can_view": true
}
Response examples (200)
{
  "user_id": 161236
}